ATLASLABELER(1)

NAME
atlaslabeler - query stereotaxic atlases

SYNOPSIS
atlaslabeler [OPTIONS] [input_file.nii.gz]

OPTIONS

--version
    show program's version number and exit

-v VERBOSE, --verbose=VERBOSE, --verbosity=VERBOSE
    Verbosity level of output

-h, --help, --sos
    Show this help message and exit

-a ATLASFILE, --atlas-file=ATLASFILE
    Atlas file to use. Overrides --atlas-path and --atlas

--atlas-path=ATLASPATH
    Path to the atlas files. '%(name)s' will be replaced with the atlas name. See -A. Defaults depend on the atlas family.

-A ATLASNAME, --atlas=ATLASNAME
    Atlas to use. Choices: HarvardOxford-Subcortical, Juelich, JHU-tracts, HarvardOxford-Cortical, MNI, talairach, Thalamus, talairach-dist

-i INPUTCOORDFILE, --input-coordinates-file=INPUTCOORDFILE
    Fetch coordinates from ASCII file

-o OUTPUTFILE, --output-file=OUTPUTFILE
    Output file. Otherwise standard output

-d MAXDISTANCE, --max-distance=MAXDISTANCE
    When working with reference/distance atlases, what maximal distance to use to look for the voxel of interest

-T TRANSFORMATIONFILE, --transformation-file=TRANSFORMATIONFILE
    First transformation to apply to the data. Usually should be subject -> standard(MNI) transformation

-s, --summary
    Either to create a summary instead of dumping voxels. Use multiple -s for greater verbose summary

--ss=SORTSUMMARYBY, --sort-summary-by=SORTSUMMARYBY
    How to sort summary entries. a-p sorts anteriorposterior order

--dumpmap-file=DUMPMAPFILE
    If original data is given as image file, dump indexes per each treholded voxels into provided here output file

-l LEVELS, --levels=LEVELS
    Indexes of levels which to print, or based on which to create a summary (for a summary levels=4 is default). To get listing of known for the atlas levels, use '-l list'

--mni2tal=MNI2TALTRANSFORMATION
    Choose between available transformations from mni 2 talairach space

--thr=LOWERTHRESHOLD, --lthr=LOWERTHRESHOLD, --lower-threshold=LOWERTHRESHOLD
    Lower threshold for voxels to output

--uthr=UPPERTHRESHOLD, --upper-threshold=UPPERTHRESHOLD
    Upper threshold for voxels to output

--abbr, --abbreviated-labels
    Manipulate with abbreviations for labels instead of full names, if the atlas has such

-c, --tc, --show-target-coord
    Show target coordinates

--tv, --show-target-voxel
    Show target coordinates

--rc, --show-referenced-coord
    Show referenced coordinates/distance in case if we are working with reference atlas

-C, --oc, --show-orig-coord
    Show original coordinates

-V, --show-values
    Show values

-I INPUTSPACE, --input-space=INPUTSPACE
    Space in which input volume/coordinates provided in. For instance Talairach/MNI

-F, --forbid-direct-mapping
    If volume is provided it first tries to do direct mapping voxel-2-voxel if there is no transformation file given. This option forbids such behavior and does coordinates mapping anyway.

-t, --talairach
    Coordinates are in talairach space (1x1x1mm), otherwise assumes in mni space (2x2x2mm). Shortcut for '-I Talairach'

-H, --half-voxel-correction
    Adjust coord by 0.5mm after transformation to Tal space. Please use -H to turn such adjustment off

-r, --relative-to-origin
    Coords are relative to the origin standard form ie in spatial units (mm), otherwise the default assumes raw voxel dimensions

--input-line-format=INPUTLINEFORMAT
    Format of the input lines (if ASCII input is provided)

-R REFERENCELEVEL, --reference=REFERENCELEVEL
    Which level to reference in the case of reference atlas

--prob-thr=PROBTHR
    At what probability (in %) to threshold in probabilistic atlases (e.g. FSL)

--prob-strategy=PROBSTRATEGY
    What strategy to use for reporting. 'max' would report single area (above threshold) with maximal probabilitity

EXAMPLES

bin/atlaslabeler -s -A talairach-dist -d 10 -R Closest\ Gray -l Structure,Brodmann\ area -cC mask.nii.gz

produces a summary per each structure and brodmann area, for each voxel looking within 10mm radius for the closest gray matter voxel.